{{#if isSmallDevice}}
  {{!-- MODAL --}}
  {{#if isShowingModal}}
    {{#modal-dialog
      onClose=(action 'toggleModal')
      targetAttachment="center"
      translucentOverlay=true
      animatable=true
      overlayClass="buttons-filters buttons-filters__modal"
      containerClass="buttons-filters__modal-container"
    }}
      <header class="header py-2 buttons-filters__header">
        <div class="header__nav"></div>
        <div class="header__center">
          <h1 class="header__title">
            {{#if isProfileList}}
              FILTRAR MIS BOTONES
            {{else}}
              FILTRAR BOTONES
            {{/if}}
          </h1>
        </div>
        <div class="header__nav">
          <button class="header__button" {{action 'toggleModal'}}>
            {{svg-jar "cross" class="icon"}}
          </button>
        </div>
      </header>
      <div class="container-fluid buttons-filters__filters-container">
        <div class="row h-100">
          {{!-- Busqueda --}}
        <div class="col-12">
          <div class="mt-3">
            {{#power-select-multiple-with-create
              selected=selectedTags
              onchange=(action 'changeSelectedTags')
              search=(action 'searchTags')
              options=trendingTags
              placeholder="Buscar por ej: comida, deporte"
              triggerClass="select__select ember-power-select-no-icon buttons-filters__tags-multiple-select"
              dropdownClass="select__option"
              searchMessage=false
              loadingMessage="Buscando tags..."
              oncreate=(action 'searchTags')
              buildSuggestion=(action 'tagSuggestion')
              as |tag|
            }}
              <div {{action 'removeTag' tag}} class="ember-power-select-multiple-remove-btn">
                {{tag.name}}
                <div class="button-counter">
                  {{tag.activeButtonsCounter}} buttons
                </div>
              </div>
            {{/power-select-multiple-with-create}}
          </div>
          <div>
            {{#unless showDestinationSearch}}
            <div class="mt-3">
              {{place-autocomplete-field
                classNames="input"
                inputClass='input__input buttons-filters__autocomplete-input'
                value=inputAddress
                setValueWithProperty='formatted_address'
                handlerController=this
                withGeoLocate=true
                placeholder="¿Dónde lo buscas?"
                disabled=isSearching
              }}
            </div>
            {{else}}
            <div class="row pl-3 pr-3">
              <div class="mt-3 ml-0 mr-0 w-50 buttons-filters__checkbox buttons-filters__checkbox-right">
                {{place-autocomplete-field
                  classNames="input"
                  inputClass='input__input buttons-filters__autocomplete-input'
                  value=inputAddress
                  setValueWithProperty='formatted_address'
                  handlerController=this
                  withGeoLocate=true
                  placeholder="Desde"
                  disabled=isSearching
                }}
              </div>
              <div class="mt-3 ml-0 mr-0 w-50 buttons-filters__checkbox buttons-filters__checkbox-right">
                {{place-autocomplete-field
                  classNames="input"
                  inputClass='input__input buttons-filters__autocomplete-input'
                  value=destinationAddress
                  setValueWithProperty='formatted_address'
                  handlerController=this
                  withGeoLocate=true
                  placeholder="Hasta"
                  disabled=isSearching
                }}
              </div>
            </div>
            {{/unless}}
          </div>
            {{#unless showDestinationSearch}}
            <div class="col px-0 button_filters__date_text">
              <!-- <button type="button" {{action 'toggleProperty' 'showDestinationSearch'}} class="">Añadir destino</button>  -->
              <button type="button" {{action 'toggleProperty' 'showDatePicker'}} class="">{{#unless inputDate}}Añadir fecha{{else}}{{inputFormatedDate}}{{/unless}}</button>
            </div>
            {{else}}
            <div class="col px-0 net-picker__create-new-button">
              <!-- <button type="button" {{action 'toggleProperty' 'showDestinationSearch'}} class="">Quitar destino</button>    -->
              <button type="button" {{action 'toggleProperty' 'showDatePicker'}} class="">{{#unless inputDate}}Añadir fecha{{else}}{{inputFormatedDate}}{{/unless}}</button>
            </div>
            {{/unless}}
        </div>
          <div class="col-12">
            <div class="row align-content-end h-100">
              {{yield}}
                {{#if isMapRoute}}
                  {{#unless noTrendingTags}}
                  <div class="col-12 mt-3">
                    <label for="sortSelect" class="label pb-0 ml-3">TEMAS POPULARES EN LA ZONA: </label>
                  </div>
                  {{/unless}}
                  <div class="col-12 buttons-filters__checkbox buttons-filters__checkbox-right">
                    <p>
                      {{#each firstTrendingTags as |tag|}}
                        {{#if isButtonNetRoute}}
                          {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action  'changeSelectedTags' "tag.name") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                            {{tag.name}}
                          {{/link-to}}
                        {{else}}
                          {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action  'changeSelectedTags' "tag.name") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                            {{tag.name}}
                          {{/link-to}}
                        {{/if}}
                      {{/each}}
                    </p>
                  </div>
                {{/if}}
              <div class="col-12 mt-3">
                <label for="sortSelect" class="label pb-0 ml-3">Mostrar botones que: </label>
              </div>
              <div class="col-6 buttons-filters__checkbox buttons-filters__checkbox-right">
                <div class="checkbox">
                  <label class="checkbox__label mb-0">
                    {{input type="checkbox" checked=needFilter  class="checkbox__checkbox"}}
                    <div class="checkbox__content checkbox__content-bg-left checkbox__content--small checkbox__content--bordered buttons-filters__checkbox--border-grey justify-content-end">
                      <p class="checkbox__text ml-0 mr-2">
                        Necesitan
                      </p>
                      <div class="button-with-icon__icon button-colored-circle"></div>
                    </div>
                  </label>
                </div>
              </div>
              <div class="col-6 buttons-filters__checkbox buttons-filters__checkbox-left">
                <div class="checkbox">
                  <label class="checkbox__label mb-0">
                    {{input type="checkbox" checked=offerFilter  class="checkbox__checkbox"}}
                    <div class="checkbox__content checkbox__content--small checkbox__content--bordered buttons-filters__checkbox--border-grey ">
                      <div class="button-with-icon__icon button-colored-circle button-colored-circle--blue"></div>
                      <p class="checkbox__text">
                        Ofrecen
                      </p>
                    </div>
                  </label>
                </div>
              </div>
              <div class="col-12">
                <div class="select my-3">
                  {{#if isProfileList}}
                    {{#power-select
                      options=sortOptionsMine
                      selected=selectedSortMine
                      searchEnabled=false
                      onchange=(action (mut selectedSortMine))
                      triggerClass="select__select buttons-filters__select buttons-filters__sort-icon"
                      dropdownClass="select__option buttons-filters__select"
                      as |option|
                    }}
                      {{option}}
                    {{/power-select}}
                  {{else}}
                  {{#unless isMapRoute}}
                    {{#power-select
                      options=sortOptions
                      selected=selectedSort
                      searchEnabled=false
                      onchange=(action (mut selectedSort))
                      triggerClass="select__select buttons-filters__select buttons-filters__sort-icon"
                      dropdownClass="select__option buttons-filters__select"
                      as |option|
                    }}
                      {{option}}
                    {{/power-select}}
                  {{/unless}}
                {{/if}}
                </div>
                <div class="row mt-auto">
                  <div class="col px-0">
                    <button type="button" {{action 'cleanFilters'}} class="button-sample border-0">LIMPIAR FILTROS</button>
                  </div>
                  <div class="col px-0">
                    <button type="button" {{action 'searchAndFilter'}} class="button-sample border-0">APLICAR FILTROS</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    {{/modal-dialog}}
  {{/if}}
{{else}}
  <div class="row mb-3">
    {{yield}}
  </div>
  <div class="row">
    <div class="col-lg-12 {{if isIndexRoute "buttons-filters__card-align"}}">
      <div class="row align-items-center  {{if isIndexRoute "justify-content-end" "justify-content-center"}}">
        {{#if isMapRoute}}
          {{#if zoomMax}}
            <div class="col-auto">
              {{#promise-button
                class=userMarkerClass
                btnAction=(action 'reduceZoom')
                hideContentOnLoading=true
              }}
                {{!-- {{svg-jar "center" class="icon"}} --}}
                {{svg-jar "lense_reduce" class="icon"}}
              {{/promise-button}}
            </div>
          {{else}}
          <div class="col-auto">
          </div>
          {{/if}}
        {{/if}}
        <div class="col-auto buttons-filters__checkbox buttons-filters__small-padding">
          <button {{action 'applyFilters' 'needFilter'}} class="checkbox">
            <label class="checkbox__label mb-0">
              {{input type="checkbox" checked=needFilter  class="checkbox__checkbox"}}
              <div class="checkbox__content checkbox__content-bg-left checkbox__content--bordered justify-content-end">
                <p class="checkbox__text ml-0 mr-2">
                  Necesitan
                </p>
                <div class="button-with-icon__icon button-colored-circle"></div>
              </div>
            </label>
          </button>
        </div>
        <div class="col-auto buttons-filters__checkbox buttons-filters__small-padding">
          <button {{action 'applyFilters' 'offerFilter'}} class="checkbox">
            <label class="checkbox__label mb-0">
              {{input type="checkbox" checked=offerFilter class="checkbox__checkbox"}}
              <div class="checkbox__content checkbox__content--bordered">
                <div class="button-with-icon__icon button-colored-circle button-colored-circle--blue"></div>
                <p class="checkbox__text">
                  Ofrecen
                </p>
              </div>
            </label>
          </button>
        </div>
        {{#unless isMapRoute}}
          {{#if isProfileList}}
            <div class="select col-auto d-inline-flex align-items-center buttons-filters__small-padding">
              {{#power-select
                options=sortOptionsMine
                selected=selectedSortMine
                searchEnabled=false
                onchange=(action 'applyFilters' 'selectedSortMine')
                triggerClass="select__select buttons-filters__select buttons-filters__sort-icon"
                dropdownClass="select__option buttons-filters__select"
                as |option|}}
                {{option}}
              {{/power-select}}
            </div>
          {{else}}
            <div class="select col-auto d-inline-flex align-items-center buttons-filters__small-padding">
              {{#power-select
                options=sortOptions
                selected=selectedSort
                searchEnabled=false
                onchange=(action 'applyFilters' 'selectedSort')
                triggerClass="select__select buttons-filters__select buttons-filters__sort-icon"
                dropdownClass="select__option buttons-filters__select"
                as |option|}}
                {{option}}
              {{/power-select}}
            </div>
          {{/if}}
        {{/unless}}

        {{#unless hideMapLink}}
          <div class="col-auto">
            {{#if isMapRoute}}
              {{#if isButtonNetRoute}}
                {{#link-to 'button-net.index.index' (query-params buttonsDisplay="list") class="buttons-filters__search-btn" title="search"}}
                  <p>Ver en lista {{svg-jar "list_view" class="svg-icon buttons-filters__list-icon"}}</p>
               {{/link-to}}
              {{else}}
                {{#link-to 'index.index' (query-params buttonsDisplay="list") class="buttons-filters__search-btn" title="search"}}
                  <p>Ver en lista {{svg-jar "list_view" class="svg-icon buttons-filters__list-icon"}}</p>
               {{/link-to}}
              {{/if}}
            {{else}}
              {{#if isButtonNetRoute}}
                {{#link-to 'button-net.index.index' (query-params buttonsDisplay="map") class="buttons-filters__search-btn" title="search"}}
                  Ver en mapa {{svg-jar "place" class="svg-icon buttons-filters__list-icon"}}
                {{/link-to}}
              {{else}}
                {{#link-to 'index.index' (query-params buttonsDisplay="map") class="buttons-filters__search-btn" title="search"}}
                  Ver en mapa {{svg-jar "place" class="svg-icon buttons-filters__list-icon"}}
                {{/link-to}}
              {{/if}}
            {{/if}}
          </div>
        {{/unless}}
      </div>
    </div>
  </div>
{{/if}}
{{#if showDatePicker}}
  {{#modal-dialog
    onClose=(action 'closeDateModal')
    targetAttachment="center"
    translucentOverlay=true
    animatable=true
    containerClass="button-new-date__pickers-modal-content"
    overlayClass="button-new-date__pickers-modal"
  }}
    <div class="row px-4">
      <div class="col-12 px-3 mt-3">
        <header class="ember-modal-dialog__header ember-modal-dialog__header--bigger">
          <h3 class="ember-modal-dialog__title ember-modal-dialog__title--reservation-picker">
            <small class="mt-3 mb-2">Mostrar botones con fecha a partir de:</small>
          </h3>
        </header>
      </div>
      <div class="col-12 mx-auto mt-3 mb-1">
        {{time-picker class="mx-auto" agreedDate=date}}
      </div>
      <div class="col-12 my-3">
        {{#power-calendar class="w-100 demo-calendar-small mx-auto"
          center=center
          onCenterChange=(action (mut center) value="date")
          selected=selected
          onSelect=(action (mut selected) value="date") as |calendar|}}
          {{calendar.nav}}
          {{calendar.days}}
        {{/power-calendar}}
      </div>
    </div>
    <div class="row col-12 p-0 m-0">
      <div class="col-6 m-0 p-0">
        <button class="button-sample border-0" {{action 'confirmDate'}} type="button" name="button">
          Aceptar
        </button>
      </div>
      <div class="col-6 m-0 p-0">
        <button class="button-sample border-0" {{action 'cleanDate'}} type="button" name="button">
          limpiar
        </button>
      </div>
    </div>
  {{/modal-dialog}}
{{/if}}
